Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156498 - blender - FC4 rebuild failed
Summary: blender - FC4 rebuild failed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phillip Compton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 155152
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-01 09:40 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-08 08:52:48 UTC


Attachments (Terms of Use)
rpm log from make i386 on fc4t2 (deleted)
2005-05-12 12:37 UTC, Toshio Kuratomi
no flags Details
gcc preproccessed file (deleted)
2005-05-12 12:38 UTC, Toshio Kuratomi
no flags Details
Patch to build on x86_64 (deleted)
2005-06-05 14:24 UTC, Toshio Kuratomi
no flags Details | Diff

Description Michael Schwendt 2005-05-01 09:40:50 UTC
This package failed to rebuild for FC4 Development around 2005-04-11 after an
automated release bump.

But the build log is not available. As soon as builds are done again, a retry
should produce a new log.

Architectures: ppc

Build failure logs [usually] at:
http://fedoraproject.org/extras/development/build-logs/

Comment 1 Michael Schwendt 2005-05-01 09:46:19 UTC
i386 not ppc, sorry!

Comment 2 Toshio Kuratomi 2005-05-12 12:35:11 UTC
make i386 on a FC4t2 box gives internal compiler error.  I'm attaching the log's
here.  They might be sufficient for figuring out the error in gcc, but I'd
suggest running this against the latest gcc-4 and submitting a bug report if
that fails.

Comment 3 Toshio Kuratomi 2005-05-12 12:37:19 UTC
Created attachment 114289 [details]
rpm log from make i386 on fc4t2

gcc-4.0.0-0.40
cpp-4.0.0-0.40
binutils-2.15.94.0.2.2-1

Comment 4 Toshio Kuratomi 2005-05-12 12:38:34 UTC
Created attachment 114290 [details]
gcc preproccessed file

Comment 5 Toshio Kuratomi 2005-05-12 18:29:45 UTC
Maybe Bug #155152

trying with gcc-4.0.0-0.43+

Comment 6 Toshio Kuratomi 2005-05-12 21:14:04 UTC
I updated to http://download.blender.org/source/blender-2.36.tar.gz first and
found that it threw an internal compiler error in the same place.  Then upgraded
to gcc-4.0.0-4.  This got past the previous errors but unfortunately I don't
have time to let it run to completion.  There were a lot of Warnings generated
so there is definitely a need to see whether the program runs after being
compiled with gcc4.

To resolve this particular bug, though, it looks as though requesting a new
devel build now that gcc is updated should do the trick.

Comment 7 Toshio Kuratomi 2005-05-14 20:37:25 UTC
Updated and attempted a build.  New error logs for i386 that I'm working on:
http://extras64.linux.duke.edu/failed/development/blender/2.36-1/i386/blender-2.36-1.failure.log


Comment 8 Toshio Kuratomi 2005-06-05 14:24:46 UTC
Created attachment 115151 [details]
Patch to build on x86_64

A patch to build on x86_64.  This allows us to compile and run blender on
x86_64.      The changes to the two hash functions seem to be "correct" but may
not be the best way to make it work.  There are still a lot of warnings
generated during compilation (Most will be present on i386 as well, though.) 
I'm thinking of updating to 2.37 with this patch and requesting an FC4 build. 
Any objections?

Comment 9 Toshio Kuratomi 2005-06-07 01:12:40 UTC
blender-2.37-2 has been rebuilt successfully on FC4.  It needs all the run-time
testing it can get.  I have used it enough to know it doesn't crash on startup
but  I'm a novice so I haven't put it through its paces yet.

Since this bug addresses rebuilding blender, it can probably be closed.


Note You need to log in before you can comment on or make changes to this bug.